Sys.time {base} | R Documentation

## Get Current Time and Timezone

### Description

`Sys.time` returns the system's idea of the current time and `Sys.timezone` returns the current time zone.

### Usage

    Sys.time()
    Sys.timezone()

### Value

`Sys.time` returns an object of class `"POSIXct"` (see DateTimeClasses).
`Sys.timezone` returns an OS-specific character string, possibly an empty string.

### See Also

`date` for the system time in a fixed-format character string.

### Examples

    Sys.time()
    ## locale-specific version of date()
    format(Sys.time(), "%a %b %d %X %Y")

    Sys.timezone()

[Package Contents]